package eu.heili.hometheater.media;

import eu.heili.hometheater.basicutils.Log;

import java.io.File;
import java.util.ArrayList;

public class MovieHandler {
    private static MovieHandler _this = new MovieHandler();

    public static MovieHandler getInstance() {
        return _this;
    }

    private MovieHandler() {
        loadMovies();
    }

    ArrayList<Movie> movies = new ArrayList<>();
    String moviepath = "./";

    public void loadMovies() {
        File folder = new File(moviepath);
        if (folder.isDirectory()) {
            for(File fl : folder.listFiles()){
                if(fl.getName().endsWith(".mp4")) {
                    Movie tempi = new Movie();
                    tempi.setUrl(fl.getName());
                    tempi.setTitle(fl.getName().replace(".mp4",""));
                    movies.add(tempi);

                    System.out.println(fl.getName());
                }
            }
        } else {
            Log.Log.warning("moviepath is no folder!");
        }
    }

    public ArrayList<Movie> getMovies(){
        return movies;
    }
}
